import asyncio
import datetime as dt
from collections.abc import Awaitable

tasks = set()


def create_task(coroutine: Awaitable[None]) -> None:
    task = asyncio.create_task(coroutine)  # type: ignore
    task.add_done_callback(tasks.discard)


def schedule_coroutine(coroutine: Awaitable[None], delay: dt.timedelta) -> None:
    async def wrapper() -> None:
        await asyncio.sleep(delay.seconds)
        await coroutine

    create_task(wrapper())
